package com.test;

import java.io.IOException;
import javax.servlet.*;
import javax.servlet.http.*;
import org.apache.commons.fileupload.servlet.ServletFileUpload;

/**
 * Simple Servlet Filter to check an incoming request to see if
 * it is multipart (ie contains file uploads).
 * If so, the request is wrapped by a FileUploadRequestWrapper.
 */
public class FileUploadServletFilter implements Filter
{

    public void init(FilterConfig config)
    {
    }

    public void destroy()
    {
    }

    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException
    {
        boolean isMultipart = ServletFileUpload.isMultipartContent((HttpServletRequest)request);

        if (isMultipart)
        {
            FileUploadRequestWrapper furw = new FileUploadRequestWrapper((HttpServletRequest) request);
            chain.doFilter(furw, response);
        }
        else
        {
            chain.doFilter(request, response);
        }
    }


}
